import { jsx } from "react/jsx-runtime";
import { CurrencyCny as CurrencyCny$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyCny = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CurrencyCny", ...props, children: /* @__PURE__ */ jsx(CurrencyCny$1, { weight: variant }) });
  }
);
CurrencyCny.displayName = "CurrencyCny";
Object.assign(CurrencyCny, { isGdsIcon: true });
export {
  CurrencyCny
};
